import React from 'react';
import { Alert, ALERT_VARIANT } from './index';
export default {
  component: Alert,
  title: 'Alert'
};
export var Default = function Default(_ref) {
  var title = _ref.title,
    children = _ref.children,
    variant = _ref.variant;
  return /*#__PURE__*/React.createElement(Alert, {
    title: title,
    variant: variant
  }, children);
};
Default.args = {
  title: 'Example Title',
  children: 'The alert description provides context to the user, bringing attention to information that needs to be consumed.',
  variant: ALERT_VARIANT.INFO
};
export var WithoutTitle = function WithoutTitle(_ref2) {
  var children = _ref2.children,
    variant = _ref2.variant;
  return /*#__PURE__*/React.createElement(Alert, {
    variant: variant
  }, children);
};
WithoutTitle.args = {
  children: 'The alert description provides context to the user, bringing attention to information that needs to be consumed.',
  variant: ALERT_VARIANT.INFO
};
WithoutTitle.storyName = 'Without title';