var _STATE_VARIANT_MAP, _templateObject;
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import styled from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
import { ALERT_BACKGROUND_COLOR, ALERT_BORDER_COLOR, ALERT_STATE_COLOR, DANGER_ALERT_STATE_COLOR, SUCCESS_ALERT_STATE_COLOR, WARNING_ALERT_STATE_COLOR, ALERT_VARIANT } from '../constants';
var spacing = selectors.spacing,
  mq = selectors.mq;
var STATE_VARIANT_MAP = (_STATE_VARIANT_MAP = {}, _defineProperty(_STATE_VARIANT_MAP, ALERT_VARIANT.DANGER, DANGER_ALERT_STATE_COLOR), _defineProperty(_STATE_VARIANT_MAP, ALERT_VARIANT.INFO, ALERT_STATE_COLOR), _defineProperty(_STATE_VARIANT_MAP, ALERT_VARIANT.SUCCESS, SUCCESS_ALERT_STATE_COLOR), _defineProperty(_STATE_VARIANT_MAP, ALERT_VARIANT.WARNING, WARNING_ALERT_STATE_COLOR), _STATE_VARIANT_MAP);
export var StyledAlert = styled.div.withConfig({
  displayName: "StyledAlert",
  componentId: "sc-ktpz5c-0"
})(["background-color:", ";box-shadow:0 1px 3px rgba(0,0,0,0.04);border:", " solid ", ";border-radius:4px;padding:", " ", " ", " ", ";position:relative;display:flex;align-items:flex-start;", " &::before{position:absolute;top:8px;left:8px;bottom:8px;content:'';width:4px;background:", ";border-radius:4px;}"], ALERT_BACKGROUND_COLOR, spacing('px'), ALERT_BORDER_COLOR, spacing('4'), spacing('4'), spacing('4'), spacing('6'), mq({
  gte: 'xs'
})(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    padding-right: ", ";\n  "])), spacing('18')), function (_ref) {
  var $variant = _ref.$variant;
  return STATE_VARIANT_MAP[$variant];
});