var _ICON_VARIANT_MAP;
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import styled from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
import { ALERT_ICON_COLOR, DANGER_ALERT_ICON_COLOR, SUCCESS_ALERT_ICON_COLOR, WARNING_ALERT_ICON_COLOR, ALERT_VARIANT } from '../constants';
var spacing = selectors.spacing;
var ICON_VARIANT_MAP = (_ICON_VARIANT_MAP = {}, _defineProperty(_ICON_VARIANT_MAP, ALERT_VARIANT.DANGER, DANGER_ALERT_ICON_COLOR), _defineProperty(_ICON_VARIANT_MAP, ALERT_VARIANT.INFO, ALERT_ICON_COLOR), _defineProperty(_ICON_VARIANT_MAP, ALERT_VARIANT.SUCCESS, SUCCESS_ALERT_ICON_COLOR), _defineProperty(_ICON_VARIANT_MAP, ALERT_VARIANT.WARNING, WARNING_ALERT_ICON_COLOR), _ICON_VARIANT_MAP);
export var StyledIcon = styled.div.withConfig({
  displayName: "StyledIcon",
  componentId: "sc-755mdh-0"
})(["display:inline-flex;align-self:flex-start;color:", ";padding:", " ", " ", " ", ";transform:translateY(1px);"], function (_ref) {
  var $variant = _ref.$variant;
  return ICON_VARIANT_MAP[$variant];
}, spacing('4'), spacing('5'), spacing('4'), spacing('6'));