var _excluded = ["children", "inputValue"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import reactStringReplace from 'react-string-replace';
import { SelectBaseOption } from '../SelectBase';
export var AutocompleteOption = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var children = _ref.children,
    inputValue = _ref.inputValue,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(SelectBaseOption, _extends({
    ref: ref
  }, rest), inputValue ? reactStringReplace(children, inputValue, function (match, i) {
    return /*#__PURE__*/React.createElement("strong", {
      key: i
    }, match);
  }) : children);
});
AutocompleteOption.displayName = 'AutocompleteOption';