var _excluded = ["children", "color", "colorVariant", "size", "variant"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import { StyledBadge } from './partials/StyledBadge';
import { BADGE_COLOR, BADGE_COLOR_VARIANT, BADGE_SIZE, BADGE_VARIANT } from './constants';
export var Badge = function Badge(_ref) {
  var children = _ref.children,
    _ref$color = _ref.color,
    badgeColor = _ref$color === void 0 ? BADGE_COLOR.NEUTRAL : _ref$color,
    _ref$colorVariant = _ref.colorVariant,
    colorVariant = _ref$colorVariant === void 0 ? BADGE_COLOR_VARIANT.SOLID : _ref$colorVariant,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? BADGE_SIZE.REGULAR : _ref$size,
    _ref$variant = _ref.variant,
    variant = _ref$variant === void 0 ? BADGE_VARIANT.REGULAR : _ref$variant,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(StyledBadge, _extends({
    $color: badgeColor,
    $colorVariant: colorVariant,
    $size: size,
    $variant: variant
  }, rest), children);
};
Badge.displayName = 'Badge';