import { selectors } from '@defencedigital/design-tokens';
import styled, { css } from 'styled-components';
import { StyledText } from './StyledText';
var color = selectors.color,
  spacing = selectors.spacing,
  zIndex = selectors.zIndex;
export var StyledContextMenu = styled.ol.withConfig({
  displayName: "StyledContextMenu",
  componentId: "sc-vnnse6-0"
})(["position:fixed;min-width:120px;max-width:240px;padding:", ";list-style-type:none;background-color:", ";border-radius:4px;border:1px solid ", ";box-shadow:0 8px 16px 0 rgba(0,0,0,0.12),0 1px 3px 0 rgba(0,0,0,0.04);z-index:", ";visibility:", ";", ""], spacing('2'), color('neutral', 'white'), color('neutral', '200'), zIndex('context', 1), function (_ref) {
  var $isOpen = _ref.$isOpen;
  return $isOpen ? 'visible' : 'hidden';
}, function (_ref2) {
  var $hasIcons = _ref2.$hasIcons;
  return !$hasIcons && css(["", "{margin-left:0;}"], StyledText);
});