import React from 'react';
import { IconVisibility, IconVisibilityOff } from '@defencedigital/icon-library';
import { StyledLabel } from './partials/StyledLabel';
import { StyledIcon } from './partials/StyledIcon';
import { StyledStartAdornment } from './partials/StyledStartAdornment';
import { StyledEndAdornment } from './partials/StyledEndAdornment';
export var DropdownLabel = function DropdownLabel(_ref) {
  var icon = _ref.icon,
    _ref$isDisabled = _ref.isDisabled,
    isDisabled = _ref$isDisabled === void 0 ? false : _ref$isDisabled,
    isHidden = _ref.isHidden,
    label = _ref.label,
    rightContent = _ref.rightContent,
    isVisible = _ref.isVisible;
  return /*#__PURE__*/React.createElement(StyledLabel, {
    isDisabled: isDisabled
  }, icon && /*#__PURE__*/React.createElement(StyledIcon, null, icon), /*#__PURE__*/React.createElement(StyledStartAdornment, null, label), isVisible && /*#__PURE__*/React.createElement(StyledEndAdornment, null, /*#__PURE__*/React.createElement(IconVisibility, null)), isHidden && /*#__PURE__*/React.createElement(StyledEndAdornment, null, /*#__PURE__*/React.createElement(IconVisibilityOff, null)), rightContent && /*#__PURE__*/React.createElement(StyledEndAdornment, null, rightContent));
};