import React from 'react';
import { components } from 'react-select';
import styled from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
var spacing = selectors.spacing;
var StyledIcon = styled.span.withConfig({
  displayName: "DropdownPlaceholder__StyledIcon",
  componentId: "sc-1cc2t58-0"
})(["position:relative;top:", ";"], spacing('px'));
var StyledLabel = styled.span.withConfig({
  displayName: "DropdownPlaceholder__StyledLabel",
  componentId: "sc-1cc2t58-1"
})(["", " + &{margin-left:", ";}"], StyledIcon, spacing('3'));
export var DropdownPlaceholder = function DropdownPlaceholder(props) {
  var icon = props.selectProps.labelIcon;
  return /*#__PURE__*/React.createElement(components.Placeholder, props, icon && /*#__PURE__*/React.createElement(StyledIcon, null, icon), /*#__PURE__*/React.createElement(StyledLabel, null, props.children));
};
DropdownPlaceholder.displayName = 'DropdownPlaceholder';