import React from 'react';
import styled from 'styled-components';
import { StyledProgressIndicator } from './partials/StyledProgressIndicator';
import { ProgressIndicator } from './index';
export default {
  component: ProgressIndicator,
  title: 'Progress Indicator',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    }
  }
};
var Wrapper = styled.div.withConfig({
  displayName: "ProgressIndicatorstories__Wrapper",
  componentId: "sc-7e46re-0"
})(["height:10rem;", "{position:absolute;transform:translate(-50%,-50%);}"], StyledProgressIndicator);
export var Default = function Default(props) {
  return /*#__PURE__*/React.createElement(Wrapper, null, /*#__PURE__*/React.createElement(ProgressIndicator, props));
};