var _excluded = ["badge", "icon", "children", "isHighlighted", "title"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import { BADGE_SIZE, BADGE_VARIANT } from '../Badge';
import { StyledOption } from './partials/StyledOption';
import { StyledOptionBadge } from './partials/StyledOptionBadge';
import { StyledOptionText } from './partials/StyledOptionText';
export var SelectBaseOption = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var badge = _ref.badge,
    icon = _ref.icon,
    children = _ref.children,
    isHighlighted = _ref.isHighlighted,
    title = _ref.title,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(StyledOption, _extends({
    $isHighlighted: isHighlighted,
    ref: ref
  }, rest), icon, /*#__PURE__*/React.createElement(StyledOptionText, {
    title: title
  }, children), badge && /*#__PURE__*/React.createElement(StyledOptionBadge, {
    size: BADGE_SIZE.XSMALL,
    variant: BADGE_VARIANT.PILL
  }, badge));
});
SelectBaseOption.displayName = 'SelectBaseOption';