import { selectors } from '@defencedigital/design-tokens';
import styled, { css } from 'styled-components';
import { COMPONENT_SIZE } from '../../Forms';
import { StyledLabel as StyledLabelBase } from '../../../styled-components/partials/StyledLabel';
var fontSize = selectors.fontSize;
export var StyledLabel = styled(StyledLabelBase).withConfig({
  displayName: "StyledLabel",
  componentId: "sc-chx55i-0"
})(["display:inline-flex;height:100%;align-items:center;padding-left:11px;padding-right:7px;", ""], function (_ref) {
  var $hasFocus = _ref.$hasFocus,
    $hasContent = _ref.$hasContent,
    _ref$$size = _ref.$size,
    $size = _ref$$size === void 0 ? COMPONENT_SIZE.FORMS : _ref$$size;
  return css(["", " ", ""], $size === COMPONENT_SIZE.FORMS && ($hasContent || $hasFocus) && "\n      height: 18px;\n      margin-top: 2px;\n      font-size: ".concat(fontSize('s'), "\n    "), $size === COMPONENT_SIZE.SMALL && ($hasContent || $hasFocus) && "\n      display: none;\n    ");
});