import _styled2 from "styled-components";
import _styled from "styled-components";
var _excluded = ["children"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import { Tooltip } from '.';
export default {
  component: Tooltip,
  title: 'Tooltip',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    }
  }
};
export var Default = function Default(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(_StyledDiv, null, /*#__PURE__*/React.createElement(Tooltip, rest, children));
};
Default.args = {
  children: 'Hello, World!'
};
export var WithTitle = function WithTitle(props) {
  return /*#__PURE__*/React.createElement(_StyledDiv2, null, /*#__PURE__*/React.createElement(Tooltip, _extends({}, props, {
    title: "Example title"
  }), "This tooltip has a title!"));
};
WithTitle.storyName = 'With title';
var _StyledDiv = _styled("div").withConfig({
  displayName: "Tooltipstories___StyledDiv",
  componentId: "sc-17fiw77-0"
})({
  height: '4rem'
});
var _StyledDiv2 = _styled("div").withConfig({
  displayName: "Tooltipstories___StyledDiv2",
  componentId: "sc-17fiw77-1"
})({
  height: '4rem'
});