function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
var _excluded = ["link", "initials"],
  _excluded2 = ["children", "link"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
/* eslint-disable no-console */
import React from 'react';
import { Avatar, AVATAR_VARIANT } from '../../Avatar';
import { Sheet } from '../Sheet/Sheet';
import { SheetButton } from '../Sheet/SheetButton';
import logger from '../../../utils/logger';
import { StyledOption } from './partials/StyledOption';
import { StyledUserItems } from './partials/StyledUserItems';
var MastheadUserWithLink = function MastheadUserWithLink(_ref) {
  var link = _ref.link,
    initials = _ref.initials,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.cloneElement(link, _objectSpread(_objectSpread({}, link.props), {}, {
    children: /*#__PURE__*/React.createElement(StyledOption, rest, /*#__PURE__*/React.createElement(Avatar, {
      variant: AVATAR_VARIANT.DARK
    }, initials))
  }));
};
var MastheadUserWithItems = function MastheadUserWithItems(_ref2) {
  var children = _ref2.children,
    initials = _ref2.initials,
    initialIsOpen = _ref2.initialIsOpen;
  return /*#__PURE__*/React.createElement(Sheet, {
    "aria-label": "User options",
    initialIsOpen: initialIsOpen,
    button: /*#__PURE__*/React.createElement(StyledOption, {
      "aria-label": "Show user options",
      as: SheetButton,
      icon: /*#__PURE__*/React.createElement(Avatar, {
        variant: AVATAR_VARIANT.DARK
      }, initials)
    }),
    placement: "bottom"
  }, /*#__PURE__*/React.createElement(StyledUserItems, null, children));
};
export var MastheadUser = function MastheadUser(_ref3) {
  var children = _ref3.children,
    link = _ref3.link,
    rest = _objectWithoutProperties(_ref3, _excluded2);
  if (link) {
    logger.warn('The `link` prop is deprecated');
    return /*#__PURE__*/React.createElement(MastheadUserWithLink, _extends({
      link: link
    }, rest));
  }
  return /*#__PURE__*/React.createElement(MastheadUserWithItems, rest, children);
};
MastheadUser.displayName = 'MastheadUser';