var _schemeStyleMap, _templateObject;
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import styled, { css } from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
import { FLOATING_BOX_SCHEME } from '../constants';
import { StyledArrow } from './StyledArrow';
var mq = selectors.mq,
  color = selectors.color,
  spacing = selectors.spacing;
var schemeStyleMap = (_schemeStyleMap = {}, _defineProperty(_schemeStyleMap, FLOATING_BOX_SCHEME.LIGHT, css(["background:", ";border:", " solid ", ";", "{&::before{border-color:", " transparent;}&::after{border-color:", " transparent;}}"], color('neutral', 'white'), color('neutral', '100'), spacing('px'), StyledArrow, color('neutral', '100'), color('neutral', 'white'))), _defineProperty(_schemeStyleMap, FLOATING_BOX_SCHEME.DARK, css(["background:", ";border:", " solid ", ";color:", ";", "{&::before{border-color:transparent;}&::after{border-color:", " transparent;}}"], color('neutral', '700'), color('neutral', '700'), spacing('px'), color('neutral', 'white'), StyledArrow, color('neutral', '700'))), _schemeStyleMap);
export var StyledContent = styled.div.withConfig({
  displayName: "StyledContent",
  componentId: "sc-f04c3u-0"
})(["position:absolute;top:0;left:0;margin:0;padding:0;background:", ";box-shadow:0px 3px 16px 0px rgba(0,0,0,0.12);", " ", ""], color('neutral', 'white'), function (_ref) {
  var $scheme = _ref.$scheme;
  return $scheme && schemeStyleMap[$scheme];
}, mq({
  gte: 'xs'
})(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    position: relative;\n    top: auto;\n    left: auto;\n    padding: 0;\n    border-radius: 3px;\n  "]))));