import React from 'react';
import { ButtonGroupItemProps } from '.';
import { ComponentSizeType } from '../Forms';
import { ComponentWithClass } from '../../common/ComponentWithClass';
export interface ButtonGroupProps extends ComponentWithClass {
    /**
     * Collection of `ButtonGroupItem` components to display as part of the group.
     */
    children: React.ReactElement<ButtonGroupItemProps>[];
    /**
     * Size of the component.
     */
    size?: ComponentSizeType;
}
export declare const ButtonGroup: React.FC<ButtonGroupProps>;
//# sourceMappingURL=ButtonGroup.d.ts.map