/**
 * Hook to keep track of the date being hovered over or focused
 * when in range mode.
 *
 * @todo Add handleDayBlur after upgrading to react-day-picker v8.
 */
export declare function useRangeHoverOrFocusDate(isRange: boolean): {
    rangeHoverOrFocusDate: Date | null;
    handleDayFocus: (date: Date) => void;
    handleDayMouseEnter: (date: Date) => void;
    handleDayMouseLeave: () => void;
};
//# sourceMappingURL=useRangeHoverOrFocusDate.d.ts.map