import React from 'react';
export interface DescriptionListItemProps {
    /**
     * Value text to display for the item.
     */
    children: string;
    /**
     * Key text to display for the item.
     */
    title: string;
    /**
     * Toggles whether the item is part of a collapsable list.
     * @private
     */
    isCollapsible?: boolean;
}
export declare const DescriptionListItem: React.FC<DescriptionListItemProps>;
//# sourceMappingURL=DescriptionListItem.d.ts.map