import React from 'react';
import { ComponentWithClass } from '../../common/ComponentWithClass';
export type ErrorType = {
    error: boolean | string | null | undefined;
};
export interface FieldProps extends ComponentWithClass {
    hintText?: string;
    errors?: ErrorType[];
}
export declare function ariaAttributes(isInvalid: boolean, fieldId: string): Record<string, string | boolean>;
export declare const Field: React.FC<FieldProps>;
//# sourceMappingURL=Field.d.ts.map