import React from 'react';
import { ComponentWithClass } from '../../common/ComponentWithClass';
export interface SelectBaseOptionProps extends ComponentWithClass {
    badge?: string | number;
    icon?: React.ReactNode;
    isHighlighted?: boolean;
    value: string;
    title?: string;
}
export interface SelectBaseOptionAsStringProps extends SelectBaseOptionProps {
    children: string;
}
export declare const SelectBaseOption: React.ForwardRefExoticComponent<SelectBaseOptionProps & React.RefAttributes<HTMLLIElement>>;
//# sourceMappingURL=SelectBaseOption.d.ts.map