import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';
import { Timeline } from '.';
declare const _default: ComponentMeta<React.FC<import("./Timeline").TimelineProps>>;
export default _default;
export declare const Default: ComponentStory<React.FC<import("./Timeline").TimelineProps>>;
export declare const BoundByFixedDates: ComponentStory<React.FC<import("./Timeline").TimelineProps>>;
export declare const WithData: ComponentStory<typeof Timeline>;
export declare const VirtualizedRows: ComponentStory<typeof Timeline>;
export declare const WithSidebar: ComponentStory<typeof Timeline>;
export declare const WithHours: ComponentStory<typeof Timeline>;
export declare const WithCustomMonths: ComponentStory<typeof Timeline>;
export declare const WithCustomWeeks: ComponentStory<typeof Timeline>;
export declare const WithCustomDays: ComponentStory<typeof Timeline>;
export declare const WithCustomHours: ComponentStory<typeof Timeline>;
export declare const WithCustomTodayMarker: ComponentStory<typeof Timeline>;
export declare const WithCustomColumns: ComponentStory<typeof Timeline>;
export declare const WithCustomRowCss: ComponentStory<typeof Timeline>;
export declare const WithCustomEventBarColor: ComponentStory<typeof Timeline>;
export declare const WithCustomEventContent: ComponentStory<typeof Timeline>;
export declare const WithCustomDayWidth: ComponentStory<typeof Timeline>;
export declare const WithCustomRange: ComponentStory<typeof Timeline>;
export declare const NoVisibleCells: ComponentStory<typeof Timeline>;
export declare const HiddenToolbar: ComponentStory<typeof Timeline>;
export declare const HiddenScaling: ComponentStory<typeof Timeline>;
export declare const FullWidth: {
    (): JSX.Element;
    storyName: string;
};
//# sourceMappingURL=Timeline.stories.d.ts.map