declare const ACCESSIBLE_DATE_FORMAT = "do MMMM y";
declare const DATE_DAY_FORMAT = "dd";
declare const DATE_MONTH_FORMAT = "MMMM yyyy";
declare const DATE_WEEK_FORMAT = "dd/MM";
declare const TIMELINE_BLOCK_SIZE: {
    readonly SINGLE_HOUR: 1;
    readonly QUARTER_DAY: 6;
    readonly HALF_DAY: 12;
};
declare const DEFAULTS: {
    readonly UNIT_WIDTH: 30;
    readonly RANGE_IN_MONTHS: 3;
    readonly HOURS_BLOCK_SIZE: 6;
};
declare const DISPLAY_THRESHOLDS: {
    DAY: number;
    HOUR: number;
    WEEK: number;
};
declare const NO_DATA_MESSAGE = "No data available";
declare const WEEK_START = 1;
declare const TIMELINE_BORDER_COLOR: string;
declare const TIMELINE_BG_COLOR: string;
declare const TIMELINE_ALT_BG_COLOR: string;
declare const TIMELINE_ROW_HEADER_WIDTH = 270;
export { ACCESSIBLE_DATE_FORMAT, DATE_DAY_FORMAT, DATE_MONTH_FORMAT, DATE_WEEK_FORMAT, DEFAULTS, DISPLAY_THRESHOLDS, NO_DATA_MESSAGE, TIMELINE_BLOCK_SIZE, WEEK_START, TIMELINE_BORDER_COLOR, TIMELINE_BG_COLOR, TIMELINE_ALT_BG_COLOR, TIMELINE_ROW_HEADER_WIDTH, };
//# sourceMappingURL=constants.d.ts.map