import { TimelineAction, TimelineDay, TimelineHour, TimelineMonth, TimelineScaleOption, TimelineState, TimelineWeek } from './types';
export declare function getMonths(start: Date, end: Date): TimelineMonth[];
export declare function getWeeks(start: Date, end: Date): TimelineWeek[];
export declare function getDays(start: Date, end: Date): TimelineDay[];
export declare function getHours(blockSize: number | null): TimelineHour[];
export declare function buildCalendar({ from, to, hoursBlockSize, }: TimelineScaleOption): {
    months: TimelineMonth[];
    weeks: TimelineWeek[];
    days: TimelineDay[];
    hours: TimelineHour[];
};
export declare function reducer(state: TimelineState, action: TimelineAction): TimelineState;
//# sourceMappingURL=reducer.d.ts.map