import React from 'react';
import { LinkTypes } from '../../../common/Link';
import { NotificationProps } from './index';
export interface NotificationsProps {
    /**
     * Collection of Notification item components.
     */
    children: React.ReactElement<NotificationProps> | React.ReactElement<NotificationProps>[];
    /**
     * Link component for 'View all notifications'.
     */
    link: React.ReactElement<LinkTypes>;
}
export declare const Notifications: React.FC<NotificationsProps>;
//# sourceMappingURL=Notifications.d.ts.map