import React from 'react';
export interface SidebarContextDefaults {
    isOpen: boolean;
    setIsOpen: (isOpen: boolean) => void;
    hasMouseOver?: boolean;
    setHasMouseOver: (hasMouseOver: boolean) => void;
}
export interface SidebarProviderProps {
    children?: React.ReactNode;
    initialIsOpen?: boolean;
}
export declare const SidebarContext: React.Context<SidebarContextDefaults>;
export declare const SidebarProvider: React.FC<SidebarProviderProps>;
//# sourceMappingURL=context.d.ts.map