import React from 'react';
declare function getInitials(name: string): string;
declare function getKey(prefix: string, suffix: string | number): string;
declare function hasClass(allClasses: string | undefined, className: string): boolean;
declare function isIE11(): boolean;
declare function warnIfOverwriting<Props>(props: Props, propertyName: keyof Props, componentName: string): void;
declare function withKey(element: React.ReactElement, prefix: string, suffix: string | number): React.ReactNode;
declare function sleep(ms: number): Promise<undefined>;
export type ValueOf<T> = T[keyof T];
export type KeysWithValueType<Obj, ValueType> = {
    [Key in keyof Obj]: Obj[Key] extends ValueType ? Key : never;
}[keyof Obj & string];
export { getInitials, getKey, hasClass, isIE11, warnIfOverwriting, withKey, sleep, };
//# sourceMappingURL=helpers.d.ts.map