import React, { Dispatch, SetStateAction } from 'react';
import { PositioningStrategy, Placement, VirtualElement } from '@popperjs/core';
import { usePopper } from 'react-popper';
export declare const useFloatingElement: (placement?: Placement, strategy?: PositioningStrategy, externalTargetElement?: Element | VirtualElement | null) => {
    targetElementRef: Dispatch<SetStateAction<Element | null>>;
    floatingElement: HTMLElement | null;
    floatingElementRef: Dispatch<SetStateAction<HTMLElement | null>>;
    forceUpdate: ReturnType<typeof usePopper>['forceUpdate'];
    arrowElementRef: Dispatch<SetStateAction<HTMLElement | null>>;
    styles: {
        [key: string]: React.CSSProperties;
    };
    attributes: {
        [key: string]: {
            [key: string]: string;
        } | undefined;
    };
};
//# sourceMappingURL=useFloatingElement.d.ts.map