export type LogLevel = 'debug' | 'info' | 'warn' | 'error';
export type Logger = Record<LogLevel, typeof console.log>;
/**
 * Generates a `logger[debug | info | warn | error](...args)`
 * Log level is set at build time via `MODDS_LOG_LEVEL` env var
 *
 */
declare const _default: Logger;
export default _default;
//# sourceMappingURL=logger.d.ts.map