import styled from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
import { ALERT_CLOSE_COLOR, ALERT_CLOSE_BACKGROUND_COLOR_HOVER, ALERT_CLOSE_BACKGROUND_COLOR, ALERT_CLOSE_COLOR_HOVER } from '../constants';
var spacing = selectors.spacing,
  fontSize = selectors.fontSize,
  breakpoint = selectors.breakpoint;
export var StyledCloseButton = styled.button.withConfig({
  displayName: "StyledCloseButton",
  componentId: "sc-1ag5kmp-0"
})(["margin-left:auto;border:none;font-size:", ";color:", ";font-weight:600;transition:all 0.3s;border-radius:2px;padding:", " ", ";background-color:", ";@media only screen and (min-width:", "){position:absolute;background-color:", ";margin-top:0;top:", ";right:", ";bottom:", ";padding:", ";width:", ";}&:hover{background-color:", ";color:", ";cursor:pointer;}"], fontSize('base'), ALERT_CLOSE_COLOR, spacing('4'), spacing('10'), ALERT_CLOSE_BACKGROUND_COLOR_HOVER, breakpoint('xs').breakpoint, ALERT_CLOSE_BACKGROUND_COLOR, spacing('4'), spacing('4'), spacing('4'), spacing('2'), spacing('17'), ALERT_CLOSE_BACKGROUND_COLOR_HOVER, ALERT_CLOSE_COLOR_HOVER);