import React from 'react';
import { Badge, BADGE_COLOR, BADGE_COLOR_VARIANT, BADGE_SIZE, BADGE_VARIANT } from '.';
export default {
  component: Badge,
  title: 'Badge'
};
export var Default = function Default(_ref) {
  var color = _ref.color,
    colorVariant = _ref.colorVariant,
    size = _ref.size,
    variant = _ref.variant,
    children = _ref.children;
  return /*#__PURE__*/React.createElement(Badge, {
    color: color,
    colorVariant: colorVariant,
    size: size,
    variant: variant
  }, children);
};
Default.args = {
  color: BADGE_COLOR.ACTION,
  colorVariant: BADGE_COLOR_VARIANT.FADED,
  size: BADGE_SIZE.REGULAR,
  variant: BADGE_VARIANT.REGULAR,
  children: 'Hello, World!'
};