import React from 'react';
import styled from 'styled-components';
import { Dialog } from './index';
import { StyledDialog } from './partials/StyledDialog';
import { StyledMain } from '../Modal/partials/StyledMain';
var Wrapper = styled.div.withConfig({
  displayName: "Dialogstories__Wrapper",
  componentId: "sc-1ge5h9j-0"
})(["height:14rem;", "{position:absolute;z-index:1;", "{position:absolute;}}"], StyledDialog, StyledMain);
export default {
  component: Dialog,
  title: 'Dialog',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    },
    layout: 'fullscreen'
  }
};
var Template = function Template(args) {
  return /*#__PURE__*/React.createElement(Wrapper, null, /*#__PURE__*/React.createElement(Dialog, args));
};
export var Default = Template.bind({});
Default.args = {
  title: 'Example Title',
  description: 'Example description',
  isOpen: true
};
export var Danger = Template.bind({});
Danger.args = {
  title: 'Example Title',
  description: 'Example description',
  isDanger: true,
  isOpen: true
};