var _excluded = ["children", "hasHover", "isDisabled", "size"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import { COMPONENT_SIZE } from '../Forms';
import { StyledInlineButton } from './partials/StyledInlineButton';
import { StyledIconWrapper } from './partials/StyledIconWrapper';
export var InlineButton = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var children = _ref.children,
    hasHover = _ref.hasHover,
    isDisabled = _ref.isDisabled,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? COMPONENT_SIZE.FORMS : _ref$size,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(StyledInlineButton, _extends({
    $hasHover: hasHover,
    $size: size,
    disabled: isDisabled,
    ref: ref,
    type: "button"
  }, rest), /*#__PURE__*/React.createElement(StyledIconWrapper, {
    $size: size
  }, children));
});
InlineButton.displayName = 'InlineButton';