function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { BUTTON_VARIANT } from '../Button';
import { StyledFooter } from './partials/StyledFooter';
import { StyledPrimaryButton } from './partials/StyledPrimaryButton';
import { StyledButton } from './partials/StyledButton';
export var Footer = function Footer(_ref) {
  var primaryButton = _ref.primaryButton,
    secondaryButton = _ref.secondaryButton,
    tertiaryButton = _ref.tertiaryButton;
  return /*#__PURE__*/React.createElement(StyledFooter, {
    $hasTertiaryButton: !!tertiaryButton
  }, tertiaryButton && /*#__PURE__*/React.createElement(StyledButton, _extends({
    type: "button",
    variant: BUTTON_VARIANT.TERTIARY
  }, tertiaryButton)), secondaryButton && /*#__PURE__*/React.createElement(StyledButton, _extends({
    type: "button",
    variant: BUTTON_VARIANT.SECONDARY
  }, secondaryButton)), primaryButton && /*#__PURE__*/React.createElement(StyledPrimaryButton, _extends({
    type: "button",
    variant: BUTTON_VARIANT.PRIMARY
  }, primaryButton)));
};