var _excluded = ["children", "isFullWidth", "link", "phase"];
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import { BADGE_SIZE, BADGE_COLOR } from '../Badge';
import { StyledWrapper } from './partials/StyledWrapper';
import { StyledPhaseBanner } from './partials/StyledPhaseBanner';
import { StyledBadge } from './partials/StyledBadge';
import { StyledText } from './partials/StyledText';
export var PhaseBanner = function PhaseBanner(_ref) {
  var children = _ref.children,
    _ref$isFullWidth = _ref.isFullWidth,
    isFullWidth = _ref$isFullWidth === void 0 ? false : _ref$isFullWidth,
    _ref$link = _ref.link,
    link = _ref$link === void 0 ? '/feedback' : _ref$link,
    _ref$phase = _ref.phase,
    phase = _ref$phase === void 0 ? 'alpha' : _ref$phase,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(StyledPhaseBanner, rest, /*#__PURE__*/React.createElement(StyledWrapper, {
    $isFullWidth: isFullWidth
  }, /*#__PURE__*/React.createElement(StyledBadge, {
    color: BADGE_COLOR.ACTION,
    size: BADGE_SIZE.SMALL
  }, phase), /*#__PURE__*/React.createElement(StyledText, null, children || /*#__PURE__*/React.createElement(React.Fragment, null, "This is a new service, ", /*#__PURE__*/React.createElement("a", {
    href: link
  }, "Your feedback"), " will help to improve it"))));
};
PhaseBanner.displayName = 'PhaseBanner';