function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { CheckboxRadioBase } from '../CheckboxRadioBase/CheckboxRadioBase';
import { StyledRadio } from './partials/StyledRadio';
import { StyledCheckmark } from './partials/StyledCheckmark';
import { StyledCheckmarkWrapper } from './partials/StyledCheckmarkWrapper';
export var Radio = /*#__PURE__*/React.forwardRef(function (props, ref) {
  return /*#__PURE__*/React.createElement(CheckboxRadioBase, _extends({
    type: "radio",
    ref: ref,
    partials: {
      Root: StyledRadio,
      Checkmark: StyledCheckmark,
      CheckmarkWrapper: StyledCheckmarkWrapper
    }
  }, props));
});
Radio.displayName = 'Radio';