function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import React from 'react';
import { Radio } from '.';
import { CHECKBOX_RADIO_VARIANT } from '../CheckboxRadioBase';
export default {
  argTypes: {
    description: {
      control: false
    }
  },
  component: Radio,
  title: 'Radio',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    }
  }
};
var Template = function Template(props) {
  return /*#__PURE__*/React.createElement(Radio, props);
};
var MultipleItemsTemplate = function MultipleItemsTemplate(props) {
  function getProps(i) {
    return _objectSpread(_objectSpread({}, props), {}, {
      variant: CHECKBOX_RADIO_VARIANT.NO_CONTAINER,
      label: "".concat(props.label, " ").concat(i)
    });
  }
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Radio, getProps(1)), /*#__PURE__*/React.createElement(Radio, getProps(2)), /*#__PURE__*/React.createElement(Radio, _extends({
    defaultChecked: true
  }, getProps(3))));
};
export var Default = Template.bind({});
Default.args = {
  id: undefined,
  label: 'Default radio',
  name: 'default'
};
export var Checked = Template.bind({});
Checked.args = {
  id: undefined,
  checked: true,
  label: 'Checked radio',
  name: 'checked'
};
export var Disabled = Template.bind({});
Disabled.args = {
  id: undefined,
  isDisabled: true,
  label: 'Disabled radio',
  name: 'disabled'
};
export var DisabledChecked = Template.bind({});
DisabledChecked.storyName = 'Disabled, checked';
DisabledChecked.args = {
  id: undefined,
  isDisabled: true,
  checked: true,
  label: 'Disabled, checked radio',
  name: 'disabled-checked'
};
export var Invalid = Template.bind({});
Invalid.args = {
  id: undefined,
  label: 'Invalid radio',
  name: 'invalid',
  isInvalid: true
};
export var NoContainer = MultipleItemsTemplate.bind({});
NoContainer.storyName = 'No container';
NoContainer.args = {
  id: undefined,
  label: 'Item without container',
  name: 'no-container'
};
export var NoContainerDisabled = MultipleItemsTemplate.bind({});
NoContainerDisabled.storyName = 'No container, disabled';
NoContainerDisabled.args = {
  id: undefined,
  label: 'Disabled item without container',
  name: 'no-container-disabled',
  isDisabled: true
};
export var WithDescription = Template.bind({});
WithDescription.storyName = 'With description';
WithDescription.args = {
  id: undefined,
  description: 'She must have hidden the plans in the escape pod. Send a detachment down to retrieve them.',
  label: 'With description',
  name: 'with-description'
};