import _styled from "styled-components";
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { css } from 'styled-components';
import { TextArea } from '.';
export default {
  component: TextArea,
  title: 'Text Area',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    }
  }
};
export var Default = function Default(props) {
  return /*#__PURE__*/React.createElement(TextArea, props);
};
Default.args = {
  name: 'textarea-default',
  label: 'Example label'
};
export var Disabled = function Disabled(props) {
  return /*#__PURE__*/React.createElement(TextArea, _extends({}, props, {
    isDisabled: true,
    label: "Example label"
  }));
};
Disabled.storyName = 'Disabled';
export var WithError = function WithError(props) {
  return /*#__PURE__*/React.createElement(TextArea, _extends({}, props, {
    isInvalid: true,
    label: "Example label"
  }));
};
WithError.storyName = 'With error';
export var WithLongLabel = function WithLongLabel(props) {
  return /*#__PURE__*/React.createElement(_StyledDiv, null, /*#__PURE__*/React.createElement(TextArea, _extends({}, props, {
    label: "This text input has a long label that doesn't fit in the container"
  })));
};
WithLongLabel.storyName = 'With long label';
var _StyledDiv = _styled("div").withConfig({
  displayName: "TextAreastories___StyledDiv",
  componentId: "sc-1klo5an-0"
})(["max-width:400px;"]);