import styled, { css } from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
import { StyledLabel as StyledLabelBase } from '../../../styled-components/partials/StyledLabel';
var fontSize = selectors.fontSize,
  spacing = selectors.spacing;
export var StyledLabel = styled(StyledLabelBase).withConfig({
  displayName: "StyledLabel",
  componentId: "sc-fygzn6-0"
})(["padding-bottom:", ";padding-left:10px;padding-right:7px;padding-top:11px;pointer-events:none;border-radius:3px 3px 0 0;", ""], spacing('2'), function (_ref) {
  var $hasFocus = _ref.$hasFocus,
    $hasContent = _ref.$hasContent;
  return ($hasFocus || $hasContent) && css(["padding-top:4px;font-size:", ";"], fontSize('s'));
});