import { selectors } from '@defencedigital/design-tokens';
var ACCESSIBLE_DATE_FORMAT = 'do MMMM y';
var DATE_DAY_FORMAT = 'dd';
var DATE_MONTH_FORMAT = 'MMMM yyyy';
var DATE_WEEK_FORMAT = 'dd/MM';
var TIMELINE_BLOCK_SIZE = {
  SINGLE_HOUR: 1,
  QUARTER_DAY: 6,
  HALF_DAY: 12
};
var DEFAULTS = {
  UNIT_WIDTH: 30,
  RANGE_IN_MONTHS: 3,
  HOURS_BLOCK_SIZE: TIMELINE_BLOCK_SIZE.QUARTER_DAY
};
var DISPLAY_THRESHOLDS = {
  DAY: 20,
  HOUR: 30,
  WEEK: 50
};
var NO_DATA_MESSAGE = 'No data available';
var WEEK_START = 1; // Monday

var color = selectors.color;
var TIMELINE_BORDER_COLOR = color('neutral', '100');
var TIMELINE_BG_COLOR = color('neutral', '000');
var TIMELINE_ALT_BG_COLOR = color('neutral', 'white');
var TIMELINE_ROW_HEADER_WIDTH = 270;
export { ACCESSIBLE_DATE_FORMAT, DATE_DAY_FORMAT, DATE_MONTH_FORMAT, DATE_WEEK_FORMAT, DEFAULTS, DISPLAY_THRESHOLDS, NO_DATA_MESSAGE, TIMELINE_BLOCK_SIZE, WEEK_START, TIMELINE_BORDER_COLOR, TIMELINE_BG_COLOR, TIMELINE_ALT_BG_COLOR, TIMELINE_ROW_HEADER_WIDTH };