import styled, { css } from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
import { TIMELINE_BORDER_COLOR, TIMELINE_ROW_HEADER_WIDTH } from '../constants';
var color = selectors.color,
  fontSize = selectors.fontSize,
  spacing = selectors.spacing,
  zIndex = selectors.zIndex;
export var StyledRowHeader = styled.div.withConfig({
  displayName: "StyledRowHeader",
  componentId: "sc-142r47k-0"
})(["min-width:", "px;position:absolute;left:0;height:inherit;background-color:", ";border-right:", " solid ", ";z-index:", ";justify-content:flex-end;display:inline-flex;align-items:center;font-size:", ";font-weight:600;color:", ";padding-right:", ";", " ", ""], TIMELINE_ROW_HEADER_WIDTH, color('neutral', 'white'), spacing('px'), TIMELINE_BORDER_COLOR, zIndex('body', 3), fontSize('m'), color('neutral', '600'), spacing('8'), function (_ref) {
  var $isHeader = _ref.$isHeader;
  return $isHeader && css(["font-size:", ";font-weight:normal;color:", ";"], fontSize('s'), color('neutral', '400'));
}, function (_ref2) {
  var $css = _ref2.$css;
  return $css;
});