var _excluded = ["children", "className", "icon", "onClick"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import styled from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
var spacing = selectors.spacing;
var StyledSheetButton = styled.button.withConfig({
  displayName: "SheetButton__StyledSheetButton",
  componentId: "sc-m07eeh-0"
})(["background:transparent;border:none;cursor:pointer;display:block;line-height:0;margin:0 auto;padding:", ";position:relative;"], spacing('2'));
export var SheetButton = function SheetButton(_ref) {
  var children = _ref.children,
    className = _ref.className,
    icon = _ref.icon,
    onClick = _ref.onClick,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(StyledSheetButton, _extends({
    "aria-haspopup": true,
    className: className,
    onClick: onClick,
    type: "button"
  }, rest), icon, children);
};