function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0) { ; } } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { usePopper } from 'react-popper';
import { useStatefulRef } from './useStatefulRef';
export var useFloatingElement = function useFloatingElement() {
  var placement = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'bottom';
  var strategy = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'fixed';
  var externalTargetElement = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;
  var _useStatefulRef = useStatefulRef(),
    _useStatefulRef2 = _slicedToArray(_useStatefulRef, 2),
    targetElement = _useStatefulRef2[0],
    targetElementRef = _useStatefulRef2[1];
  var _useStatefulRef3 = useStatefulRef(),
    _useStatefulRef4 = _slicedToArray(_useStatefulRef3, 2),
    floatingElement = _useStatefulRef4[0],
    floatingElementRef = _useStatefulRef4[1];
  var _useStatefulRef5 = useStatefulRef(),
    _useStatefulRef6 = _slicedToArray(_useStatefulRef5, 2),
    arrowElement = _useStatefulRef6[0],
    arrowElementRef = _useStatefulRef6[1];
  var _usePopper = usePopper(externalTargetElement || targetElement, floatingElement, {
      modifiers: [{
        name: 'arrow',
        options: {
          element: arrowElement,
          padding: 20
        }
      }],
      placement: placement,
      strategy: strategy
    }),
    styles = _usePopper.styles,
    attributes = _usePopper.attributes,
    forceUpdate = _usePopper.forceUpdate;
  return {
    targetElementRef: targetElementRef,
    floatingElement: floatingElement,
    floatingElementRef: floatingElementRef,
    forceUpdate: forceUpdate,
    arrowElementRef: arrowElementRef,
    styles: styles,
    attributes: attributes
  };
};