import React from 'react';
import { SelectBaseProps } from '../SelectBase';
export interface AutocompleteProps extends SelectBaseProps {
    /**
     * Whether to hide the clear button. (Note that the component can still
     * be cleared by manually deleting the text in the input.)
     */
    hideClearButton?: boolean;
    /**
     * Called when the input loses focus.
     */
    onBlur?: (event: React.FocusEvent) => void;
}
export declare const Autocomplete: React.FC<AutocompleteProps>;
//# sourceMappingURL=Autocomplete.d.ts.map