import React from 'react';
import { UseComboboxStateChange } from 'downshift';
import { ItemsMap, SelectBaseOptionAsStringProps, SelectChildWithStringType } from '../../SelectBase';
export declare function useAutocomplete(children: SelectChildWithStringType[]): {
    filteredItems: React.ReactElement<SelectBaseOptionAsStringProps>[];
    hasError: boolean;
    hasFilter: boolean;
    inputRef: React.RefObject<HTMLInputElement>;
    itemsMap: ItemsMap;
    onInputValueChange: (changes: UseComboboxStateChange<string>) => void;
    onIsOpenChange: (changes: UseComboboxStateChange<string>) => void;
    onSelectedItemChange: (changes: UseComboboxStateChange<string>) => void;
};
//# sourceMappingURL=useAutocomplete.d.ts.map