import React from 'react';
import { ComponentSizeType } from '../Forms';
export interface InputProps {
    hasFocus: boolean;
    isDisabled?: boolean;
    id?: string;
    label?: string;
    name: string;
    onBeforeInput: (event: React.FormEvent<HTMLInputElement>) => void;
    onBlur: (event: React.FormEvent<HTMLInputElement>) => void;
    onChange: (event: React.ChangeEvent<HTMLInputElement> | React.KeyboardEvent<HTMLInputElement>) => void;
    onFocus: (event: React.FormEvent<HTMLInputElement>) => void;
    onPaste: (event: React.ClipboardEvent<HTMLInputElement>) => void;
    placeholder?: string;
    size: ComponentSizeType;
    step: number;
    value?: string | null;
}
export declare const Input: React.FC<InputProps>;
//# sourceMappingURL=Input.d.ts.map