import React from 'react';
import { ValueOf } from '../../helpers';
export declare const PAGINATION_BUTTON_VARIANT: {
    readonly FIRST: "First";
    readonly LAST: "Last";
    readonly PREV: "Previous";
    readonly NEXT: "Next";
};
type PaginationButtonChildrenType = ValueOf<typeof PAGINATION_BUTTON_VARIANT>;
interface PaginationButtonProps {
    children: PaginationButtonChildrenType;
    disabled: boolean;
    onClick: (event: React.MouseEvent) => void;
}
export declare const PaginationButton: React.FC<PaginationButtonProps>;
export {};
//# sourceMappingURL=PaginationButton.d.ts.map