import React from 'react';
import { OnChangeEventType } from './types';
export declare const usePageChange: (initialPage: number, totalPages: number, onChange?: ((event: OnChangeEventType, currentPage: number, totalPages: number) => void) | undefined) => {
    onKeyDown: (event: React.KeyboardEvent) => void;
    hasError: boolean;
    onPaginationButtonClickHandler: (pageNumber: number) => (event: React.MouseEvent) => void;
    currentPage: number;
};
export default usePageChange;
//# sourceMappingURL=usePageChange.d.ts.map