import React from 'react';
import { ComponentWithClass } from '../../common/ComponentWithClass';
export interface PhaseBannerProps extends ComponentWithClass {
    /**
     * Toggles whether the banner display full width across the viewport.
     */
    isFullWidth?: boolean;
    /**
     * Optional HTML `href` attribute to apply to the feedback link.
     */
    link?: string;
    /**
     * Optionally display the applications current phase of release.
     */
    phase?: 'alpha' | 'beta';
}
export declare const PhaseBanner: React.FC<PhaseBannerProps>;
//# sourceMappingURL=PhaseBanner.d.ts.map