import React from 'react';
import { TrackItem, GetTrackProps } from 'react-compound-slider';
import { ThresholdColor } from './useThresholdColor';
export interface ThresholdTrackProps extends TrackItem {
    getTrackProps: GetTrackProps;
    thresholds: number[];
}
export interface TrackChunkProps {
    getTrackProps: GetTrackProps;
    $left: number;
    $width: number;
    $maxWidth: number;
    testId: string;
    $thresholdColor?: ThresholdColor;
}
export declare const ThresholdTrack: React.FC<ThresholdTrackProps>;
//# sourceMappingURL=ThresholdTrack.d.ts.map