import React from 'react';
import { ComponentWithClass } from '../../common/ComponentWithClass';
export interface InputProps extends ComponentWithClass {
    hasFocus: boolean;
    id?: string;
    isDisabled?: boolean;
    label?: string;
    name: string;
    onBlur: (event: React.FormEvent) => void;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
    onFocus: (event: React.FormEvent) => void;
    onKeyDown?: (event: React.KeyboardEvent<HTMLInputElement>) => void;
    type?: string;
    value?: string;
}
export declare const Input: React.ForwardRefExoticComponent<InputProps & React.RefAttributes<HTMLInputElement>>;
//# sourceMappingURL=Input.d.ts.map