import React from 'react';
import { TimelineDay } from './context/types';
import { ValueOf } from '../../helpers';
export declare const MONTH_SIZE: {
    readonly SMALL: "small";
    readonly MEDIUM: "medium";
    readonly LARGE: "large";
};
export type TimelineMonthSizeType = ValueOf<typeof MONTH_SIZE>;
interface TimelineMonthProps {
    days: TimelineDay[];
    daysTotal: number;
    dayWidth: number;
    index: number;
    render?: (props: {
        index: number;
        dayWidth: number;
        daysTotal: number;
        startDate: Date;
    }) => React.ReactElement;
    size: TimelineMonthSizeType;
    startDate: Date;
}
export declare const TimelineMonth: React.FC<TimelineMonthProps>;
export {};
//# sourceMappingURL=TimelineMonth.d.ts.map