import React from 'react';
import { ComponentWithClass } from '../../common/ComponentWithClass';
export interface TimelineMonthsWithRenderContentProps extends ComponentWithClass {
    /**
     * Supply a custom presentation layer.
     */
    render: (props: {
        index: number;
        dayWidth: number;
        daysTotal: number;
        startDate: Date;
    }) => React.ReactElement;
}
export interface TimelineMonthsWithChildrenProps extends ComponentWithClass {
    render?: never;
}
export type TimelineMonthsProps = TimelineMonthsWithRenderContentProps | TimelineMonthsWithChildrenProps;
export declare const TimelineMonths: React.NamedExoticComponent<TimelineMonthsProps>;
//# sourceMappingURL=TimelineMonths.d.ts.map