import React from 'react';
import { ComponentWithClass } from '../../common/ComponentWithClass';
export interface TimelineTodayMarkerWithRenderContentProps extends ComponentWithClass {
    /**
     * Supply a custom presentation layer.
     */
    render: (props: {
        today: Date;
        offset: string;
    }) => React.ReactNode;
}
export interface TimelineTodayMarkerWithChildrenProps extends ComponentWithClass {
    render?: never;
}
export type TimelineTodayMarkerProps = TimelineTodayMarkerWithRenderContentProps | TimelineTodayMarkerWithChildrenProps;
export declare const TimelineTodayMarker: React.FC<TimelineTodayMarkerProps>;
//# sourceMappingURL=TimelineTodayMarker.d.ts.map