import React from 'react';
import { ComponentWithClass } from '../../common/ComponentWithClass';
export interface TimelineWeeksWithRenderContentProps extends ComponentWithClass {
    /**
     * Supply a custom presentation layer.
     */
    render: (props: {
        index: number;
        isOddNumber: boolean;
        offsetPx: string;
        widthPx: string;
        startDate: Date;
    }) => React.ReactElement;
}
export interface TimelineWeeksWithChildrenProps extends ComponentWithClass {
    render?: never;
}
export type TimelineWeeksProps = TimelineWeeksWithRenderContentProps | TimelineWeeksWithChildrenProps;
export declare const TimelineWeeks: React.FC<TimelineWeeksProps>;
//# sourceMappingURL=TimelineWeeks.d.ts.map