import React from 'react';
import { ToastProps as BaseToastProps } from 'react-toast-notifications';
import { ComponentWithClass } from '../../common/ComponentWithClass';
export interface ToastProps extends BaseToastProps, Omit<ComponentWithClass, 'children'> {
    /**
     * Text label to display at the top of the component.
     */
    label?: string;
    /**
     * Date and time of the event.
     */
    dateTime?: Date;
}
export declare const Toast: React.FC<ToastProps>;
//# sourceMappingURL=Toast.d.ts.map