import React from 'react';
import { Placement } from '@popperjs/core';
import { ComponentWithClass } from '../../../common/ComponentWithClass';
import { SheetButtonProps } from './SheetButton';
export interface SheetProps extends ComponentWithClass {
    button: React.ReactElement<SheetButtonProps>;
    children: React.ReactElement;
    placement?: Placement;
    closeDelay?: number;
    id?: string;
    initialIsOpen?: boolean;
}
export declare const Sheet: React.FC<SheetProps>;
//# sourceMappingURL=Sheet.d.ts.map