import React from 'react';
import { Nav, NavItem } from '../../../common/Nav';
export interface SidebarNavItemProps extends NavItem, Nav<SidebarNavItemProps> {
    /**
     * Optiona icon to display to the left of the navigation item.
     */
    icon?: React.ReactNode;
    /**
     * Optional handler invoked when an item is clicked on.
     */
    onClick?: (e: React.MouseEvent<HTMLElement>) => void;
}
export declare const SidebarNavItem: React.FC<SidebarNavItemProps>;
//# sourceMappingURL=SidebarNavItem.d.ts.map